CRAN Package Check Results for Package vapour

Last updated on 2021-09-22 07:51:44 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.8.0 51.43 52.25 103.68 WARN
r-devel-linux-x86_64-debian-gcc 0.8.0 31.79 40.52 72.31 WARN
r-devel-linux-x86_64-fedora-clang 0.8.0 146.15 OK
r-devel-linux-x86_64-fedora-gcc 0.8.0 123.14 OK
r-devel-windows-x86_64 0.8.0 80.00 175.00 255.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.8.0 ERROR
r-patched-linux-x86_64 0.8.0 38.07 51.71 89.78 WARN
r-patched-solaris-x86 0.8.0 139.60 OK
r-release-linux-x86_64 0.8.0 38.18 51.31 89.49 WARN
r-release-macos-arm64 0.8.0 NOTE
r-release-macos-x86_64 0.8.0 WARN
r-release-windows-ix86+x86_64 0.8.0 150.00 387.00 537.00 NOTE
r-oldrel-macos-x86_64 0.8.0 WARN
r-oldrel-windows-ix86+x86_64 0.8.0 170.00 383.00 553.00 NOTE

Check Details

Version: 0.8.0
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:106: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:106: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:106: the top level
     configure.ac:274: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:274: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:274: the top level
     configure.ac:282: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:282: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:282: the top level
     configure.ac:374: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:374: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:374: the top level
     configure.ac:391: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:391: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:391: the top level
     configure.ac:434: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:434: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:434: the top level
     configure.ac:516: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:516: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:516: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.8.0
Check: installed package size
Result: NOTE
     installed size is 56.2Mb
     sub-directories of 1Mb or more:
     extdata 1.0Mb
     gdal 2.2Mb
     libs 43.2Mb
     proj 8.7Mb
Flavors: r-devel-windows-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.8.0
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'spelling'
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 0.8.0
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 0.8.0
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘feature-access.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    Error: processing vignette 'feature-access.Rmd' failed with diagnostics:
    there is no package called 'stringi'
    --- failed re-building ‘feature-access.Rmd’
    
    --- re-building ‘vapour.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    Error: processing vignette 'vapour.Rmd' failed with diagnostics:
    there is no package called 'stringi'
    --- failed re-building ‘vapour.Rmd’
    
    SUMMARY: processing the following files failed:
     ‘feature-access.Rmd’ ‘vapour.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64